#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### kdgantt (static) ##########################

tde_add_library( kdgantt STATIC_PIC AUTOMOC
  SOURCES
    KDGanttView.cpp KDGanttViewEventItem.cpp KDGanttViewItem.cpp
    KDGanttViewItemDrag.cpp KDGanttViewSubwidgets.cpp KDGanttViewSummaryItem.cpp
    KDGanttViewTaskItem.cpp KDGanttViewTaskLink.cpp KDGanttViewTaskLinkGroup.cpp
    KDGanttMinimizeSplitter.cpp KDGanttSemiSizingControl.cpp
    KDGanttSizingControl.cpp KDGanttXMLTools.cpp itemAttributeDialog.ui
)
